Bug 262347 - AssertionError at com.sun.tools.javac.util.Assert.error
AssertionError at com.sun.tools.javac.util.Assert.error
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.0
All All
: P1 (vote)
: Dev
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
: REGRESSION
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-06 13:50 UTC by Tomas Danek
Modified: 2017-03-11 03:03 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.88 KB, text/plain)
2016-06-06 13:50 UTC, Tomas Danek
Details
stacktrace (1.76 KB, text/plain)
2017-03-03 18:24 UTC, Vladimir Voskresensky
Details
stacktrace (1.76 KB, text/plain)
2017-03-06 07:15 UTC, Vladimir Voskresensky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Danek 2016-06-06 13:50:28 UTC
Build: NetBeans IDE 8.0.2 (Build 20160530-unknown-revn)
VM: Java HotSpot(TM) 64-Bit Server VM, 25.92-b14, Java(TM) SE Runtime Environment, 1.8.0_92-b14
OS: Linux

User Comments:
GUEST: a

GUEST: Clicked ?Run? on a project without specified main class.

musilt2: jenkins pligin devel

GUEST: don't know




Stacktrace: 
java.lang.AssertionError
   at com.sun.tools.javac.util.Assert.error(Assert.java:126)
   at com.sun.tools.javac.util.Assert.check(Assert.java:45)
   at com.sun.tools.javac.jvm.ClassReader$13.read(ClassReader.java:1160)
   at com.sun.tools.javac.jvm.ClassReader.readAttrs(ClassReader.java:1400)
   at com.sun.tools.javac.jvm.ClassReader.readClassAttrs(ClassReader.java:1415)
   at com.sun.tools.javac.jvm.ClassReader.readClass(ClassReader.java:2245)
Comment 1 Tomas Danek 2016-06-06 13:50:30 UTC
Created attachment 159969 [details]
stacktrace
Comment 2 Vladimir Voskresensky 2017-03-03 18:24:30 UTC
Created attachment 163755 [details]
stacktrace

after this error GoToSymbol never works till restart IDE
Comment 3 Vladimir Voskresensky 2017-03-06 07:15:11 UTC
Go To Symbol doesn't work anymore for sputnik codebase
Comment 4 Vladimir Voskresensky 2017-03-06 07:15:31 UTC
Created attachment 163774 [details]
stacktrace

Go To Symbol doesn't work at all, i.e. test_multiple_include_c in sputnik(jclank) Lexer module
Comment 5 Dusan Balek 2017-03-09 13:37:31 UTC
Fixed in jet-main.

http://hg.netbeans.org/jet-main/rev/6c22179f547d
Comment 6 Vladimir Voskresensky 2017-03-10 10:07:19 UTC
Thanks! Verified!
Comment 7 Quality Engineering 2017-03-11 03:03:36 UTC
Integrated into 'main-silver', will be available in build *201703110002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/6c22179f547d
User: Dusan Balek <dbalek@netbeans.org>
Log: Issue #262347 - AssertionError at com.sun.tools.javac.util.Assert.error - fixed.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo